Package org.apache.sling.testing.teleporter.client

# Class ClassResourceVisitor

java.lang.Object
org.apache.sling.testing.teleporter.client.ClassResourceVisitor

public class ClassResourceVisitor extends Object
Finds and visits resources provided by ClassLoaders based on their path. If a path points to a folder, its child resources are also visited. Currently works for the "file:" and "jar:" resource protocols.

## Constructor Summary

Constructors
Constructor
Description
`ClassResourceVisitor(Class<?> clazz, String path)`
Visit the resources provided by clazz's ClassLoader, based on the supplied path.

## Method Summary

Modifier and Type
Method
Description
`void`
`visit(org.apache.sling.testing.teleporter.client.ClassResourceVisitor.Processor p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassResourceVisitor

public ClassResourceVisitor(Class<?> clazz, String path)
Visit the resources provided by clazz's ClassLoader, based on the supplied path.

Parameters:
  `clazz` -
  `path` - If that points to a folder, it is visited recursively

## Method Details

### visit

public void visit(org.apache.sling.testing.teleporter.client.ClassResourceVisitor.Processor p) throws IOException

Throws:
  `IOException`